org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheGetNamesResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientResponse
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheGetNamesResponse

All Implemented Interfaces:
  ClientOutgoingMessage

    public class ClientCacheGetNamesResponse
    extends ClientResponse

Cache names response.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the response data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientResponse

`encode, requestId`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, onSent, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### encode

    public void encode(ClientConnectionContext ctx,
                       BinaryRawWriterEx writer)

Encodes the response data.

Specified by:
  `encode` in interface `ClientOutgoingMessage`
Overrides:
  `encode` in class `ClientResponse`
Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022